# $Revision: 1.8 $, $Date: 2011/07/11 20:31:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Calendar
%define		pnam	Simple
Summary:	Calendar::Simple - Perl extension to create simple calendars
Summary(pl.UTF-8):	Calendar::Simple - rozszerzenie Perla do tworzenia prostych kalendarzy
Name:		perl-Calendar-Simple
Version:	1.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Calendar/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8fbfe46c0a25d036ca100460fcd00223
URL:		http://search.cpan.org/dist/Calendar-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl extension to create simple calendars.

%description -l pl.UTF-8
Rozszerzenie Perla do tworzenia prostych kalendarzy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/pcal
%dir %{perl_vendorlib}/Calendar
%{perl_vendorlib}/Calendar/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Calendar-Simple.spec,v $
Revision 1.8  2011/07/11 20:31:00  marti
- up to 1.21

Revision 1.7  2009/06/15 12:23:46  amateja
- updated to 1.20

Revision 1.6  2008/04/05 18:39:43  qboosh
- fixed URL

Revision 1.5  2008-04-02 08:38:43  arekm
- up to 1.19

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/10/08 16:30:55  qboosh
- pl

Revision 1.1  2006/10/05 10:40:30  arekm
- new
